[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Sun Java on F8 - Improved instructions



On Sun, 06 Jan 2008 22:08:23 -0800, Knute Johnson wrote:

>>On Sun, 06 Jan 2008 11:25:15 -0800, Knute Johnson wrote:
>>
>>> I went back to F8 i386 yesterday because I need to be able to use
>>> Sun's Java plugin with Firefox.  In the process I found out a couple
>>> of interesting things.
>>> 
>>> 1)  The XINERAMA bug is indeed fixed with version 1.0-4 of libxcb
>>> 
>>> 2)  You can configure the Sun Java plugin to work with alternatives
>>> just like java and javac
>>> 
>>> I've updated my instruction page to reflect this.  I also moved this
>>> file although the old address will still work.
>>> 
>>> http://rabbitbrush.frazmtn.com/sun-java-on-F8.html
>>> 
>>> Thanks,
>>> 
>>> --
>>> Knute Johnson
>>> Molon Labe...
>>
>>
>>I'm getting some errors trying to install java sun-compat:
>>
>>[root phoenix ~]# rpm -q jre
>>jre-1.6.0_03-fcs
>>
>>[root phoenix ~]# rpm -qa | grep -i jpackage
>>jpackage-utils-1.7.3-1jpp.3.fc8
>>
>>[root phoenix ~]# rpm -Uvh java-1.6.0-sun-compat-1.6.0.03-1jpp.i586.rpm
>>warning: java-1.6.0-sun-compat-1.6.0.03-1jpp.i586.rpm: Header V3 DSA
>>signature: NOKEY, key ID c431416d
>>error: Failed dependencies:
>>        jdk = 2000:1.6.0_03-fcs is needed by java-1.6.0-sun
>>compat-1.6.0.03-1jpp.i586
> 
> The JRE or JDK needs to be installed before the sun-compat RPM.
> 
> --
> Knute Johnson
> Molon Labe...

Sun's jre WAS installed, but java-XXX-sun-compat wanted jdk, as it can be 
seen from my post. Once I replaced jre with jdk the compat package installed.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]